Skip to main content
DELETE
/
api
/
dev
/
listing
curl -X DELETE "https://api.liquid.tf/api/dev/listing" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_SITE_API_KEY" \
  -d '{
    "items": [
      { "asset_id": "12321312414" }
    ]
  }'
{
  "success": true
}

Overview

Deletes one or more listings by their Steam asset IDs. Max 100 listings per request.

Authentication

X-API-Key
string
required
Your site API key

Rate Limit

5 requests per minute

Request Body

items
array
required
Array of listings to delete (max 100 items)

Response

success
boolean
Returns true if listings were successfully deleted
curl -X DELETE "https://api.liquid.tf/api/dev/listing" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_SITE_API_KEY" \
  -d '{
    "items": [
      { "asset_id": "12321312414" }
    ]
  }'
{
  "success": true
}

Batch Deletion

Delete multiple listings at once by including multiple asset IDs:
{
  "items": [
    { "asset_id": "12321312414" },
    { "asset_id": "12321312415" },
    { "asset_id": "12321312416" }
  ]
}
Deleted listings cannot be recovered. Make sure you have the correct asset IDs before deleting.
To delete all your listings at once, use the Delete All Listings endpoint instead.